Package twisted :: Package protocols :: Module wire :: Class QOTD

[show private | hide private]
[frames | no frames]

## Class QOTD

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      QOTD

Return a quote of the day (RFC 865)

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `Protocol`)
| ``getQuote`(self)` Return a quote.

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### getQuote(self)

Return a quote. May be overrriden in subclasses.

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net